/*
 * bfill(p,n,f)
 * char *p;
 * int n;
 * char f;
 *
 * Fill a block of memory (n bytes beginning at p) with f.  Uses movc5
 *  instruction but n is not restricted to 32K.
 */
	.globl	_bfill
	.text
_bfill:	.word	0xfc
	movb		12(ap),r7
	movl		8(ap),r6
	movab		*4(ap),r3
	cmpl		r6,$32768
	jleq		1f
2:	movc5		$0,(sp),r7,$32768,(r3)
	acbl		$32769,$-32768,r6,2b
1:	movc5		$0,(sp),r7,r6,(r3)
	ret
